{% extends 'inventario/base.html' %}
{% load static %}

{% block titulo %}Crear Producto{% endblock %}

{% block principal %}
    <h1>Crear Producto</h1>

    <form action="{% if registro %}{% url 'productos_actualizar' %}{% else %}{% url 'productos_guardar' %}{% endif %}" method="post">
        {% csrf_token %}
        <input type="hidden" name="id" value="{{ registro.id }}"><br>
        <label>Nombre: </label>
        <input type="text" name="nombre" class="form-control" value="{{ registro.nombre }}"><br>
        <label>Stock: </label>
        <input type="number" name="stock" class="form-control" value="{{ registro.stock }}"><br>
        <label>Precio: </label>
        <input type="number" name="precio" class="form-control" value="{{ registro.precio }}"><br>
        <label>Categoria: </label>
        <select name="categorias" class="form-control" required="">
            <option value="">Seleccione:</option>
            {% for c in categorias %}
            <option value="{{ c.id }}" {% if registro.categorias.id == c.id %}selected=""{% endif %}>{{ c.nombre_cat }}</option>
            {% endfor %}
        </select>



        <br>
        <button type="submit" class="btn btn-{% if registro %}info{% else %}success{% endif %}">{% if registro %}Actualizar{% else %}Guardar{% endif %}</button>
    </form>
{% endblock %}